获取支持

Dataflow SDK 弃用通知:Dataflow SDK 2.5.0 是最后一个独立于 Apache Beam SDK 版本发布的 Dataflow SDK 版本。Dataflow 服务完全支持 Apache Beam SDK 正式版本。Dataflow 服务还支持以前发布的 Apache Beam SDK 2.0.0 及更高版本。

获取 Google 支持套餐

Google Cloud 提供多种支持套餐以满足不同的需要,例如全天候支持、电话支持以及技术支持经理对接。如需了解详情,请参阅 Google Cloud 支持

获取 Apache Beam SDK 支持

要获取 Apache Beam 帮助,请参阅 Apache Beam 站点上提供的资源列表

SDK 版本的支持状态

Apache Beam 和 Dataflow SDK 版本的支持状态已移至 SDK 版本支持状态

通过社区获取支持

使用以下资源可获取 Dataflow 社区的帮助。在提交问题之前,请先查看 Dataflow 常见问题解答中是否有您需要的答案。

在 Stack Overflow 上提问

Stack Overflow 上询问有关 Dataflow 的问题。请为 Dataflow 相关问题添加 google-cloud-dataflow 标记。使用此标记不仅可收到来自 Stack Overflow 社区的回复,还可收到来自 Google 工程师的反馈,这些工程师负责监控此标记并提供非官方支持。若有生产环境方面的问题(例如,您希望我们查看某个特定 jobId),请联系 Google Cloud Platform 支持团队

及时了解 Cloud Dataflow

请加入 dataflow-announce Google 群组,接收有关 Dataflow 的公告和更新。

讨论 Dataflow

请访问 Google Cloud Slack 社区,就 Dataflow 和其他 Google Cloud 产品展开讨论。如果您尚未加入该社区,请使用此表单注册。对于 Dataflow,请加入 #dataflow 频道。

提交错误或功能请求

您可以使用 UserVoice 论坛向我们发送关于各种问题的反馈,包括:

如果您要报告有关 Dataflow 的错误或缺陷,请在请求中提供以下信息:

  • 如何重现此问题?
  • 预期输出是什么?实际输出是什么?
  • 您使用的是哪个产品版本?使用的是什么操作系统?
  • 请提供任何其他信息。